import { Component } from '@angular/core';
import { DataService } from 'src/services/data/data.service';

@Component({
  selector: 'movement',
  templateUrl: './movement.component.html',
  styleUrls: ['./movement.component.scss'],
})
export class MovementComponent {
  public constructor(public dataAccessor: DataService) {}

  public movement: number = 0;

  ngOnInit(): void {
    this.movement = this.dataAccessor.movement;
  }

  public updateValue(): void {
    this.dataAccessor.movement = this.movement;
  }
}
