import { Component } from '@angular/core';
import { Observable } from 'rxjs';
import { DataService } from 'src/services/data/data.service';

@Component({
  selector: 'armor-class',
  templateUrl: './armor-class.component.html',
  styleUrls: ['./armor-class.component.scss'],
})
export class ArmorClassComponent {
  public constructor(public dataAccessor: DataService) {}

  public armorClass: number = 0;

  ngOnInit(): void {
    this.armorClass = this.dataAccessor.armorClass;
  }

  public updateValue(): void {
    this.dataAccessor.armorClass = this.armorClass;
  }
}
