import { Component } from '@angular/core';
import { DataService } from 'src/services/data/data.service';

@Component({
  selector: 'initiative',
  templateUrl: './initiative.component.html',
  styleUrls: ['./initiative.component.scss'],
})
export class InitiativeComponent {
  public constructor(public dataAccessor: DataService) {}

  public initiative: number = 0;

  ngOnInit(): void {
    this.initiative = this.dataAccessor.initiative;
  }

  public updateValue(): void {
    this.dataAccessor.initiative = this.initiative;
  }
}
